rfile='/etc/udev/rules.d/1017-1394ctrl.rules'

delete_1394_rule() {
	> $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_1394_rule
		case $2 in
			"enable") 
				rule='SUBSYSTEM=="firewire",RUN+="/bin/sh -c \"echo 1 > /sys/%p/config_rom\"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='SUBSYSTEM=="firewire",RUN+="/bin/sh -c \"echo 0 > /sys/%p/config_rom\"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_1394_rule
	;;
	*)
		echo "invalid command $1"
	;;
esac