rfile='/etc/udev/rules.d/1014-floppyctrl.rules'

delete_floppy_rule() {
	> $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_floppy_rule
		case $2 in
			"enable") 
				rule='KERNEL=="fd*",ENV{ID_DRIVE_FLOPPY}=="1",OPTIONS=="ignore_device"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='KERNEL=="fd*",ENV{ID_DRIVE_FLOPPY}=="0",OPTIONS=="ignore_device"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_floppy_rule
	;;
	*)
		echo "invalid command $1"
	;;
esac