rfile='/etc/udev/rules.d/1016-multiserialcardctrl.rules'

delete_multiserial_rule() {
	> $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_multiserial_rule
		case $2 in
			"enable") 
				rule='KERNEL=="tty[A-Z]*[0-9]*",ENV{ID_BUS}=="pci",ENV{ID_MODEL_FROM_DATABASE}=="Serial controller",ATTR{authorized}="1"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='KERNEL=="tty[A-Z]*[0-9]*",ENV{ID_BUS}=="pci",ENV{ID_MODEL_FROM_DATABASE}=="Serial controller",ATTR{authorized}="0"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_multiserial_rule
	;;
	*)
		echo "invalid command $1"
	;;
esac