rfile='/etc/udev/rules.d/1003-netctrl.rules'

delete_net_rule() {
	> $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_net_rule
		case $2 in
			"enable") 
				rule='SUBSYSTEM=="net", DRIVERS!="",RUN+="/usr/sbin/ip link set $env{INTERFACE} up"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='SUBSYSTEM=="net", DRIVERS!="",RUN+="/usr/sbin/ip link set $env{INTERFACE} down"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_net_rule
	;;
	*)
		echo "invalid command $1"
	;;
esac