rfile='/etc/udev/rules.d/1006-onenetctrl.rules'

delete_one_net_rule() {
	pattern="SUBSYSTEM==.net.,DRIVERS!=..,ENV{INTERFACE}==.$1."
	echo $pattern
	sed -i "/$pattern/d" $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_one_net_rule $2
		case $3 in
			"enable") 
				rule='SUBSYSTEM=="net",DRIVERS!="",ENV{INTERFACE}=="'$2'",RUN+="/usr/sbin/ip link set $env{INTERFACE} up"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='SUBSYSTEM=="net",DRIVERS!="",ENV{INTERFACE}=="'$2'",RUN+="/usr/sbin/ip link set $env{INTERFACE} down"'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_one_net_rule $2
	;;
	*)
		echo "invalid command $1"
	;;
esac