rfile='/etc/udev/rules.d/1011-sdcardctrl.rules'

delete_sdcard_rule() {
	> $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $2"
		delete_sdcard_rule
		case $2 in
			"enable") 
				rule='ACTION=="add",KERNEL=="sd*",ATTRS{type}=="SD",RUN+="/bin/sh -c \"echo 1 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				rule='ACTION=="add",KERNEL=="sd*",ATTRS{type}=="MMC",RUN+="/bin/sh -c \"echo 1 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				rule='ACTION=="add",KERNEL=="mmcblk*",ATTRS{type}=="MMC",RUN+="/bin/sh -c \"echo 1 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='ACTION=="add",KERNEL=="sd*",ATTRS{type}=="SD",RUN+="/bin/sh -c \"echo 0 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				rule='ACTION=="add",KERNEL=="sd*",ATTRS{type}=="MMC",RUN+="/bin/sh -c \"echo 0 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				rule='ACTION=="add",KERNEL=="mmcblk*",ATTRS{type}=="MMC",RUN+="/bin/sh -c \"echo 0 > /sys/$devpath/device/block/%k/removable\""'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $2"
			;;
		esac

	;;
	"delete")
		delete_sdcard_rule
	;;
	*)
		echo "invalid command $1"
	;;
esac