rfile='/etc/udev/rules.d/1000-usbctrl.rules'

delete_usb_rule() {
	pattern="SUBSYSTEM==.usb.,ATTRS{idProduct}==.$1.,ATTRS{idVendor}==.$2.,"
	echo $pattern
	sed -i "/$pattern/d" $rfile
	echo 'execute delete'
	udevadm control --reload-rules
	udevadm trigger
}

case $1 in
	"add")
		echo "execute add $4"
		delete_usb_rule $2 $3
		case $4 in
			"enable") 
				rule='SUBSYSTEM=="usb",ATTRS{idProduct}=="'$2'",ATTRS{idVendor}=="'$3'",ENV{USB_FREE}="1",RUN+="/bin/sh -c \"echo $devpath | rev | cut -d / -f 1 | rev > /sys/bus/usb/drivers/usb/bind \""'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;

			"disable")
				rule='SUBSYSTEM=="usb",ATTRS{idProduct}=="'$2'",ATTRS{idVendor}=="'$3'",ENV{USB_FREE}="1",RUN+="/bin/sh -c \"echo $devpath | rev | cut -d / -f 1 | rev > /sys/bus/usb/drivers/usb/unbind \""'
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			"readonly")
				rule="SUBSYSTEM==\"usb\",ATTRS{idProduct}==\"$2\",ATTRS{idVendor}==\"$3\",ENV{USB_FREE}="1",ATTR{ro}=\"0\""
				echo $rule >> $rfile
				udevadm control --reload-rules
				udevadm trigger
			;;
			*)
				echo "invalid op: $4"
			;;
		esac

	;;
	"delete")
		delete_usb_rule $2 $3
	;;
	*)
		echo "invalid command $1"
	;;
esac
